Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Enum Class JaybirdType

java.lang.Object
java.lang.Enum<JaybirdType>
org.firebirdsql.jdbc.JaybirdType

All Implemented Interfaces:
  `Serializable`, `Comparable<JaybirdType>`, `Constable`, `SQLType`

@Volatile(reason="Defined types may receive a different type number when standardized in JDBC") public enum JaybirdType extends Enum<JaybirdType> implements SQLType
`SQLType` definitions specific to Jaybird.

Author:
  Mark Rotteveel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECFLOAT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `String`
  `getVendor()`
  `Integer`
  `getVendorTypeNumber()`
  `static JaybirdType`
  `valueOf(int type)`
  Returns the `JaybirdType` for a `JaybirdTypeCodes` value.
  `static JaybirdType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JaybirdType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECFLOAT

    @Volatile(reason="To be standardized by future version of JDBC, will be deprecated") public static final JaybirdType DECFLOAT

- ## Method Details

  - ### values

    public static JaybirdType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JaybirdType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `SQLType`

  - ### getVendor

    public String getVendor()
    Specified by:
      `getVendor` in interface `SQLType`

  - ### getVendorTypeNumber

    public Integer getVendorTypeNumber()
    Specified by:
      `getVendorTypeNumber` in interface `SQLType`

  - ### valueOf

    public static JaybirdType valueOf(int type)
    Returns the `JaybirdType` for a `JaybirdTypeCodes` value.
    Parameters:
      `type` - `JaybirdTypeCodes` value
    Returns:
      The `JaybirdType` constant
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified `JaybirdTypeCodes` value